package com.abacus.legacy;

import java.math.BigInteger;

public class BigIntegerBean
{	
	private BigInteger val = null;
	
	public BigIntegerBean() 
	{
		setVal(BigInteger.ZERO);
	}
	public BigIntegerBean(BigInteger i)
	{
		setVal(i);
	}
	
	public BigIntegerBean(String s)
	{
		setVal(new BigInteger(s));
	}
	
	public byte[] getValAsByteArray()
	{
		return val.toByteArray();
	}
	
	public BigInteger getVal() {
		return val;
	}
	
	public void setVal(byte[] newVal)
	{
		val = new BigInteger(newVal);
	}
	/**
	 * @param val the val to set
	 */
	public void setVal(BigInteger val) {
		this.val = val;
	}
}
